List all contribution reports
Returns a list of contribution reports. The reports are returned sorted by creation date, with the most recent reports appearing first.
Query parameters
employer_id
Unique identifier of the employer for filtering reports
status
Filter reports by status: open or finalized
Allowed values:
month
Month for filtering reports, used together with year (MM format)
year
Year for filtering reports, can be used standalone or with month (YYYY format)
external_customer_id
Unique identifier of the customer for EoR platforms, used to filter reports for a logical employer
page
The page of results to return. Defaults to 1 if not provided.
page_size
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.
Response
OK
items
A paginated array containing the response elements
page
The current page of the results
page_size
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_count
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_page
Whether there are more pages available after this page
has_previous_page
Whether there are more pages available before this page

